<!DOCTYPE html>
{% if page.menubar or page.menubar_toc %}
{% assign has_left_sidebar = true %}
{% endif %}

{% if page.show_sidebar and page.menubar %}
    {% assign content_width = 'is-7' %}
{% elsif page.menubar_toc and page.menubar %}
    {% assign content_width = 'is-7' %}
{% elsif page.show_sidebar or page.menubar or page.menubar_toc %}
    {% assign content_width = 'is-9' %}
{% else %}
    {% assign content_width = 'is-12' %}
{% endif %}

<html
 lang="{{ site.lang | default: 'en' }}"
 {% if site.fixed_navbar %}class="has-navbar-fixed-{{ site.fixed_navbar }}"{% endif %}>
  {% include head.html %}
  <body>
    {% include header.html %}
    {% unless page.hide_hero %}
        {% include hero.html %}
    {% endunless %}
    {% if page.show_search %}
        <!--
        <section class="hero is-small is-dark">
            <div class="hero-body">
                {% include search.html %}
            </div>
        </section> 
        -->    
    {% endif %}
    {% include callouts.html %}
    {% include partners.html %}
    {% unless page.hide_content %}
    <section class="section">
        <div class="container">
            <div class="columns is-multiline">
                {% if page.menubar %}
                <div class="column is-2-desktop is-2-tablet is-hidden-mobile" style="height:90vh; position: sticky; top: 3.2rem; overflow: auto;">
                    {% include menubar.html %}
                </div>
                {% endif %}
                <div class="column {{ content_width }}">
                    {% include tabs.html %}
                    {% include showcase.html %}
                    {% include sponsors.html %}
                    {% include gallery.html %}
                    {{ content }}
                </div>
                {% if site.posts and page.show_sidebar %}
                <div class="column is-3-desktop is-3-tablet is-hidden-mobile">
                    {% include latest-posts.html %}
                </div>
                {% elsif page.menubar_toc %}
                <div class="column is-3-desktop is-3-tablet is-hidden-mobile" style="height:90vh; position: sticky; top: 3.2rem; overflow: auto;">
                    {% include toolpage.html %}
                    {% assign contentsTitle = page.toc_title | default: 'Contents' %}
                    {% include toc.html html=content class='menu-list' h_min=1 h_max=4 contents_title=contentsTitle %}
                </div>
                {% elsif page.menubar_toc == false %}
                <div class="column is-1-desktop is-1-tablet is-hidden-mobile" style="height:90vh; position: sticky; top: 3.2rem; overflow: auto;">
                    {% include toolpage.html %}
                </div>
                {% endif %}
            </div>
        </div>
    </section>
    {% endunless %}
    {% unless page.hide_footer %}
        {% include footer.html %}
    {% endunless %}
    {% if page.custom_footer %}
        {% include footer-custom.html %}
    {% endif %}
    <script src="/assets/js/app.js" type="text/javascript"></script>
    <script src="/assets/js/script-3d-viewer.js"></script>
    <script type="module" src="https://unpkg.com/@google/model-viewer/dist/model-viewer.min.js"></script>
    <script src="/assets/js/switch_language.js"></script>
    {%- include footer-scripts.html -%}
  </body>
</html>
